org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class ShuffleFederatedScheme

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme
  - - org.apache.sysds.runtime.controlprogram.paramserv.dp.ShuffleFederatedScheme

    public class ShuffleFederatedScheme
    extends DataPartitionFederatedScheme

Shuffle Federated scheme When the parameter server runs in federated mode it cannot pull in the data which is already on the workers. Therefore, a UDF is sent to manipulate the data locally. In this case it is shuffled by generating a permutation matrix with a global seed and doing a mat mult. Then all entries in the federation map of the input matrix are separated into MatrixObjects and returned as a list. Only supports row federated matrices atm.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme

`DataPartitionFederatedScheme.BalanceMetrics, DataPartitionFederatedScheme.Result`

### Constructor Summary

Constructors
Constructor and Description
`ShuffleFederatedScheme()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataPartitionFederatedScheme.Result` `partition(MatrixObject features, MatrixObject labels, int seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShuffleFederatedScheme

    public ShuffleFederatedScheme()

### Method Detail

#### partition

    public DataPartitionFederatedScheme.Result partition(MatrixObject features,
                                                         MatrixObject labels,
                                                         int seed)

Specified by:
  `partition` in class `DataPartitionFederatedScheme`